{% load static %}

<!-- <link rel="stylesheet" href="{% static 'bcf2tiff/style.css' %}"> -->

<!DOCTYPE html>
<html lang="en">

<head>
    <style>
    body {
        #background: white url("https://im.contentlounge.net/styles/manual_crop/s3/2021-06/96785200.jpg?im=Resize%3D%281200%2C675%29%2Caspect%3Dfit%2CAspectCrop%2Csize%3D%281200%2C675%29%2Cgravity%3DCenter%2CallowExpansion%2CBackgroundColor%2Ccolor%3Dtransparent&hash=5a64a20b0ee1a29d816c66664dcf69da34605be83e0cb3453bcb642805be55c5") no-repeat;
        font-family: 'Trebuchet MS', sans-serif;
        font-size: 20px;
    }

    .button {
        background-color: #204060;
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
    }

    DIV.top{
        min-height: 10%;
        #background: yellow;
        border-bottom: 1px solid grey;
    }

    DIV.name{
        font-size: 65px
    }

    DIV.main{
        min-height: 75%;
        #background: red
    }

    DIV.bottom {
        height: 10%;
        bottom: 10px;
        #background: blue;
        border-top: 1px solid grey;
    }

    </style>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link href="https://unpkg.com/tabulator-tables@5.4.4/dist/css/tabulator.min.css" rel="stylesheet">
    <script type="text/javascript" src="https://unpkg.com/tabulator-tables@5.4.4/dist/js/tabulator.min.js"></script>

</head>

<body>
    <button class="button" onclick="downloadFunction()">Download</button>
    <div width="700">
        <table id="table"></table>
    </div>
    <button class="button" onclick="downloadFunction()">Download</button>
</body>


<script>

var thumbnailFormatter= function(value, data, cell, row, options){ //plain text value

    return "<img class='infoImage' src='thumbnail_analysis/" + value._cell.value + "' width='400' height='auto'>";
};

var table = new Tabulator(
    "#table",
    {   layout:"fitData",
        ajaxURL:"/analysis/", //ajax URL
        columns:[
        {title:"", field:"id", formatter:thumbnailFormatter, headerVertical:true},
        {title:"Size", field:"size", headerVertical:true},
        {title:"Type", field:"type", editor:"list", headerVertical:true, editorParams:{

                            values:["sub", "noz", "reg", "rev", "ignore"], //an array of values or value/label objects
                        }
        },
        {title:"Custom Type", field:"custom_type", editor:"input", headerVertical:true},
        {title:"Download?", field:"isdownload", editor:"tickCross", headerVertical:true, editorParams:{
    trueValue:"✓",
    falseValue:"◻",

    elementAttributes:{
        maxlength:"10", //set the maximum character length of the input element to 10 characters
    }
}}
        ],
        },

);



function downloadFunction(){
        fetch('download/', {
      method: 'POST',
      body: JSON.stringify(table.getData()),
      headers: {
        'Accept': 'application/zip',
        'Content-Type': 'application/json'
      }
    })
    .then(response => response.blob())
    .then(blob => {
      // Create a temporary link element
      const url = window.URL.createObjectURL(blob);
      const a = document.createElement('a');
      a.href = url;
      a.download = 'categories.zip';

      // Simulate click to download the file
      a.click();

      // Release the object URL
      window.URL.revokeObjectURL(url);
    });



}

</script>

</html>